{{
  config(materialized='table', alias='tmp_meta')
}}

{% if target.type == "snowflake" %}
SELECT '{{ dbt_version }}' AS "dbt_version"
      ,'{{ target.type }}' AS "cdp_type"
      ,CURRENT_USER() AS "defident"
      ,CURRENT_DATABASE() AS "defdb"
      ,CURRENT_SCHEMA() AS "defschema"
{% endif %}
{% if target.type == "redshift" %}
SELECT '{{ dbt_version }}' AS "dbt_version"
      ,'{{ target.type }}' AS "cdp_type"
      ,CURRENT_USER::VARCHAR(1024) AS "defident"
      ,CURRENT_DATABASE()::VARCHAR(1024) AS "defdb"
      ,''::VARCHAR(1024) AS "defschema"
{% endif %}
{% if target.type == "databricks" %}
SELECT '{{ dbt_version }}' AS `dbt_version`
      ,'{{ target.type }}' AS `cdp_type`
      ,CURRENT_USER() AS `defident`
      ,CURRENT_CATALOG() AS `defdb`
      ,CURRENT_SCHEMA() AS `defschema`
{% endif %}
